Bug 1338563

Summary: 64K page table check crashes 4K powerpc and polkitd
Product: [Fedora] Fedora Reporter: Edward Swarthout <ed.swarthout>
Component: mozjs17Assignee: Colin Walters <walters>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 24CC: aperez, than, walters
Target Milestone: ---   
Target Release: ---   
Hardware: powerpc   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-06-07 11:34:37 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Patch to remove check as done on arm64 none

Description Edward Swarthout 2016-05-22 23:42:22 UTC
Created attachment 1160417 [details]
Patch to remove check as done on arm64

Description of problem:

64K page-table size check fails for 4K powerpc machines.

This causes polkitd to fail.

Comment 1 Alex Perez 2016-05-22 23:58:49 UTC
...and polkitd failing causes all kinds of other major problems. The severity should be bumped above medium. This basically makes it so you can't start a service from the command line on powerpc.

Comment 2 Alex Perez 2016-05-23 00:27:55 UTC
I can confirm that the attached patch fully resolves the problem for me. Thanks, Ed!

Comment 3 Ngo Than 2017-06-07 11:34:37 UTC
it's fixed in mozjs17-17.0.0-19.fc27 built in rawhide. Thanks